# https://pypi.python.org/packages/41/7a/6048de44c62fc5e618178ef9888850c3773a9e4be249e5e673ebce0402ff/h5py-2.7.1.tar.gz
%define module h5py
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{module}
Version:        2.7.1
Release:        %mkrel 1
Summary:        General-purpose Python bindings for the HDF5 library

Group:          Development/Python
License:        BSD
URL:            http://www.h5py.org/
Source0:        %{module}-%{version}.tar.xz
Patch0:         h5py-Dont-reorder-compound-types.patch

BuildRequires:  hdf5-devel
BuildRequires:  python-cython
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-pkgconfig
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python3-cython
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pkgconfig
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python-numpy
Requires:       python-six

%description
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.

%package -n     python3-%{module}
Summary:        Read and write HDF5 files from Python 3
Group:          Development/Python
Requires:       python3-numpy
Requires:       python3-six

%description -n python3-h5py
The h5py package provides both a high- and low-level interface to the HDF5
library from Python. The low-level interface is intended to be a complete
wrapping of the HDF5 API, while the high-level component supports  access to
HDF5 files, datasets and groups using established Python and NumPy concepts.
This is the Python 3 version of %{module}.

%prep
%setup -qn %{module}-%{version}
%apply_patches
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc licenses ANN.rst README.rst
%{python_sitearch}/*

%files -n python3-h5py
%doc licenses ANN.rst README.rst
%{python3_sitearch}/*

%changelog
* Tue Jul 10 2018 adrianomorselli <adrianomorselli> 2.7.1-1uplos2018
- update, added patch from Fedora
